Page MenuHomePhabricator

Measure abandoned translations
Open, MediumPublic

Description

The stats page shows published and in-progress translations. The in-progress translations includes:

  • Translations that users just started and will become published soon.
  • Translations that get published but remain as in-progress because of small changes.
  • Translations that got abandoned, and will be never published.

The abandoned translations are the problematic ones since they prevent other users from translating and may have good work that is lost. So we may want which percentage of the in-progress translations are actually abandoned.

We could measure "abandoned translations" with a query such as "in-progress translations without activity in the last 30 days for which the target article does not exist". This needs to be based on some estimations (is a month enough to declare a translation not active?) but with reasonable estimates it may provide a good enough perspective on the nature of in-progress translations.

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added a project: ContentTranslation.
Pginer-WMF added a subscriber: Pginer-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 22 2015, 7:21 AM
Amire80 triaged this task as Medium priority.Oct 1 2015, 4:06 PM
Amire80 set Security to None.
Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 15 2015, 8:51 PM
Arrbee moved this task from Bugs to Enhancements on the ContentTranslation board.Jun 22 2018, 1:38 PM